Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.event
Class LocationCopier

    java.lang.Object
      net.sf.saxon.event.ProxyReceiver
          net.sf.saxon.event.LocationCopier

All Implemented Interfaces:
  LocationProvider, Receiver, javax.xml.transform.Result

public class LocationCopier
extends ProxyReceiver
implements LocationProvider

A Receiver that can be inserted into an event pipeline to copy location information. The class acts as a LocationProvider, so it supports getSystemId() and getLineNumber() methods; the location returned can vary for each node, and is set by the class generating the events. The class is used when it is necessary to copy a subtree along with its location information; for example, when copying an inline schema within a stylesheet to a separate schema document.

Field Summary
`int` | `lineNumber`
`java.lang.String` | `systemId`

Fields inherited from class net.sf.saxon.event.ProxyReceiver
`baseReceiver, pipelineConfig`

Fields inherited from interface javax.xml.transform.Result
`PI_DISABLE_OUTPUT_ESCAPING, PI_ENABLE_OUTPUT_ESCAPING`

Constructor Summary
`LocationCopier()`

Method Summary
`int` | `getColumnNumber()`
`int` | `getLineNumber()`
`int` | `getLineNumber(int locationId)`
`java.lang.String` | `getPublicId()`
`java.lang.String` | `getSystemId()`
`java.lang.String` | `getSystemId(int locationId)`
`void` | `setLineNumber(int lineNumber)`
`void` | `setPipelineConfiguration(PipelineConfiguration pipe)` Set the pipeline configuration
`void` | `setSystemId(java.lang.String systemId)` Set the System ID of the destination tree

Methods inherited from class net.sf.saxon.event.ProxyReceiver
`attribute, characters, close, comment, endDocument, endElement, getConfiguration, getDocumentLocator, getNamePool, getPipelineConfiguration, getUnderlyingReceiver, namespace, open, processingInstruction, setUnderlyingReceiver, setUnparsedEntity, startContent, startDocument, startElement`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### systemId

    public java.lang.String systemId

### lineNumber

    public int lineNumber

Constructor Detail

### LocationCopier

    public LocationCopier()

Method Detail

### setPipelineConfiguration

    public void setPipelineConfiguration(PipelineConfiguration pipe)

  Description copied from interface: `Receiver`
  Set the pipeline configuration

  Specified by:
    `setPipelineConfiguration` in interface `Receiver`
  Overrides:
    `setPipelineConfiguration` in class `ProxyReceiver`

### setSystemId

    public void setSystemId(java.lang.String systemId)

  Description copied from interface: `Receiver`
  Set the System ID of the destination tree

  Specified by:
    `setSystemId` in interface `Receiver`
  Overrides:
    `setSystemId` in class `ProxyReceiver`

### setLineNumber

    public void setLineNumber(int lineNumber)

### getColumnNumber

    public int getColumnNumber()

### getLineNumber

    public int getLineNumber()

### getPublicId

    public java.lang.String getPublicId()

### getSystemId

    public java.lang.String getSystemId()

  Specified by:
    `getSystemId` in interface `javax.xml.transform.Result`
  Overrides:
    `getSystemId` in class `ProxyReceiver`

### getSystemId

    public java.lang.String getSystemId(int locationId)

  Specified by:
    `getSystemId` in interface `LocationProvider`

### getLineNumber

    public int getLineNumber(int locationId)

  Specified by:
    `getLineNumber` in interface `LocationProvider`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD